Package org.apache.lucene.index

# Class MergePolicy.MergeAbortedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.lucene.index.MergePolicy.MergeAbortedException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `MergePolicy`

public static class MergePolicy.MergeAbortedException extends IOException
Thrown when a merge was explicitly aborted because `IndexWriter.abortMerges()` was called. Normally this exception is privately caught and suppressed by `IndexWriter`.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MergeAbortedException()`
  Create a `MergePolicy.MergeAbortedException`.
  `MergeAbortedException(String message)`
  Create a `MergePolicy.MergeAbortedException` with a specified message.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MergeAbortedException

    public MergeAbortedException()
    Create a `MergePolicy.MergeAbortedException`.

  - ### MergeAbortedException

    public MergeAbortedException(String message)
    Create a `MergePolicy.MergeAbortedException` with a specified message.